(function ($) {
 "use strict";
 // video active
$.wmBox();

/* Main menu active class
------------------------------------- */ 
$(document).on('click', 'ul li', function(){
    $(this).addClass('active').siblings().removeClass('active');
});

/*----------------------------
 Sticky Nav
------------------------------ */
$(window).on('scroll',function() {
  if ($(document).scrollTop() > 0) {
    $('#header-section').addClass('menu');
  } else {
    $('#header-section').removeClass('menu');
  }
});

/* scrollToTop
---------------------------- */ 
$(window).scroll(function(){
    if($(this).scrollTop() > 200){
        $('.scrollToTop').fadeIn();
    }else{
        $('.scrollToTop').fadeOut();
    }
});
$('.scrollToTop').click(function(){
    $('html,body').animate({scrollTop: 0}, 3000)
});

/* Testimonial Active
---------------------------- */

$('.testimonial-active').owlCarousel({
    loop:true,
    dots:false,
    nav:true,
    navText:['<i class="fas fa-arrow-left"></i>','<i class="fas fa-arrow-right"></i>'],
    autoplayTimeout:3000,
    autoplayHoverPause:true,
    autoplay:true,
    animateIn: 'fadeIn',
    animateOut: 'fadeOut',
    mouseDrag: false,
    smartSpeed:2000,
    responsive:{
        0:{
            items:1
        },
        600:{
            items:1
        },
        1000:{
            items:1
        }
    }
})

    ////////////////////////////////////////////////////////////////////////////////////////
    // How to add class to the first and last item among the visible items of Owl Carousel 2
    ////////////////////////////////////////////////////////////////////////////////////////

    // checkClasses();
    // carousel.on('translated.owl.carousel', function(event) {
    //     checkClasses();
    // });

    // function checkClasses(){
    //     var total = $('.testimonial-active .owl-stage .owl-item.active').length; // nested class from activator class

    //     $('.testimonial-active .owl-stage .owl-item').removeClass('firstActiveItem lastActiveItem'); // nested class from activator class and remove first and last class if already added.

    //     $('.testimonial-active .owl-stage .owl-item.active').each(function(index){ // nested class from activator class
    //         if (index === 1) {
    //             // this is the first one
    //             $(this).addClass('firstActiveItem'); // add class in first item
    //         }
    //         if (index === total - 2 && total>1) {
    //             // this is the last one
    //             $(this).addClass('lastActiveItem'); // add class in last item
    //         }
    //     });
    // }

})(jQuery); 

